## soapysdr 0.4.3+git20160605

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.7)
project(SoapySDR)
enable_language(CXX)
enable_testing()

########################################################################
# gather version information
# packagers may specify -DSOAPY_SDR_EXTVER="foo" to replace the git hash
########################################################################
set(SOAPY_SDR_LIBVER "0.5.0")

if (NOT SOAPY_SDR_EXTVER)
    include(${PROJECT_SOURCE_DIR}/cmake/GetGitRevisionDescription.cmake)
    get_git_head_revision(GITREFSPEC GITHASH)
    if (GITHASH)
        string(SUBSTRING "${GITHASH}" 0 8 GITHASH)
        set(SOAPY_SDR_EXTVER "g${GITHASH}")
    else (GITHASH)
        set(SOAPY_SDR_EXTVER "unknown")
    endif (GITHASH)
endif()

set(SOAPY_SDR_VERSION "${SOAPY_SDR_LIBVER}-${SOAPY_SDR_EXTVER}")

#SOAPY_SDR_ROOT is compiled into the library to locate the install base.
#By default, the SOAPY_SDR_ROOT is set to the CMAKE_INSTALL_PREFIX.
#However users may overload this by specifying -DSOAPY_SDR_ROOT=<path>.
if(NOT SOAPY_SDR_ROOT)
    file(TO_CMAKE_PATH ${CMAKE_INSTALL_PREFIX} SOAPY_SDR_ROOT)
endif(NOT SOAPY_SDR_ROOT)

########################################################################
# select the release build type by default to get optimization flags
########################################################################
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

########################################################################
# rpath setup - http://www.cmake.org/Wiki/CMake_RPATH_handling
########################################################################
# use, i.e. don't skip the full RPATH for the build tree
option(CMAKE_SKIP_BUILD_RPATH "skip rpath build" FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
option(CMAKE_BUILD_WITH_INSTALL_RPATH "build with install rpath" FALSE)

# the RPATH to be used when installing, but only if it's not a system directory
option(CMAKE_AUTOSET_INSTALL_RPATH TRUE)
if(CMAKE_AUTOSET_INSTALL_RPATH)
LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" isSystemDir)
IF("${isSystemDir}" STREQUAL "-1")
    SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ENDIF("${isSystemDir}" STREQUAL "-1")
endif(CMAKE_AUTOSET_INSTALL_RPATH)

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
option(CMAKE_INSTALL_RPATH_USE_LINK_PATH "build with automatic rpath" TRUE)

if(APPLE)
    set(CMAKE_MACOSX_RPATH ON)
endif()

########################################################################
# Allows in-tree module util
########################################################################
set(SoapySDR_DIR ${PROJECT_SOURCE_DIR}/cmake)
set(SOAPY_SDR_IN_TREE_SOURCE_DIR ${PROJECT_SOURCE_DIR})
find_package(SoapySDR NO_MODULE REQUIRED)
include_directories(${SoapySDR_INCLUDE_DIRS}) #local include precedence

########################################################################
# Install cmake helper modules
########################################################################
configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/SoapySDRConfigVersion.in.cmake
    ${PROJECT_BINARY_DIR}/SoapySDRConfigVersion.cmake
@ONLY)
set(cmake_files
    ${PROJECT_SOURCE_DIR}/cmake/SoapySDRConfig.cmake
    ${PROJECT_SOURCE_DIR}/cmake/SoapySDRUtil.cmake
    ${PROJECT_BINARY_DIR}/SoapySDRConfigVersion.cmake)
if (UNIX)
    install(FILES ${cmake_files} DESTINATION share/cmake/${PROJECT_NAME})
elseif (WIN32)
    install(FILES ${cmake_files} DESTINATION cmake)
endif ()

########################################################################
# Install headers
########################################################################
install(DIRECTORY include/SoapySDR DESTINATION include)

########################################################################
# Build subdirs
########################################################################
add_subdirectory(lib)
add_subdirectory(apps)
add_subdirectory(tests)
add_subdirectory(docs)

########################################################################
# Python support (optional)
########################################################################
option(ENABLE_PYTHON "enable python bindings" ON)
if (ENABLE_PYTHON)
message(STATUS "")
message(STATUS "#############################################")
message(STATUS "## Begin configuration for Python support...")
message(STATUS "#############################################")
message(STATUS "Enabling optional Python bindings if possible...")
add_subdirectory(python)

if(BUILD_PYTHON3)
message(STATUS "")
message(STATUS "#############################################")
message(STATUS "## Begin configuration for Python3 support...")
message(STATUS "#############################################")
message(STATUS "Enabling optional Python3 bindings if possible...")
add_subdirectory(python3)
endif(BUILD_PYTHON3)

endif (ENABLE_PYTHON)

########################################################################
# uninstall target
########################################################################
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

#only add uninstall target if this is the top project
if(${CMAKE_PROJECT_NAME} STREQUAL ${PROJECT_NAME})
add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

#########################################################################
# summary
#########################################################################
include(FeatureSummary)
message(STATUS "")
message(STATUS "######################################################")
message(STATUS "## ${PROJECT_NAME} enabled features")
message(STATUS "######################################################")
feature_summary(WHAT ENABLED_FEATURES)
message(STATUS "######################################################")
message(STATUS "## ${PROJECT_NAME} disabled features")
message(STATUS "######################################################")
feature_summary(WHAT DISABLED_FEATURES)
message(STATUS "SoapySDR version: v${SOAPY_SDR_VERSION}")
message(STATUS "ABI/so version: v${SOAPY_SDR_SOVER}")
message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")

=== lib/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_LIBRARY "Enable runtime library" ON "TRUE" OFF)
add_feature_info(Library ENABLE_LIBRARY "runtime library v${SOAPY_SDR_VERSION}")
if (NOT ENABLE_LIBRARY)
    return()
endif()

########################################################################
# Soapy SDR sources and dependencies
########################################################################
list(APPEND SOAPY_SDR_SOURCES
    Device.cpp
    Factory.cpp
    Registry.cpp
    Types.cpp
    NullDevice.cpp
    Logger.cpp
    Errors.cpp
    Formats.cpp
)

#dl libs used by dlopen in unix
list(APPEND SOAPY_SDR_LIBRARIES
    ${CMAKE_DL_LIBS}
)

#support threaded client code
#notice that -pthread is not the same as -lpthread
if(CMAKE_COMPILER_IS_GNUCXX)
    list(APPEND SOAPY_SDR_LIBRARIES -pthread)
endif()

include_directories(${PROJECT_SOURCE_DIR}/include)

list(APPEND SOAPY_SDR_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/Modules.cpp)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Modules.in.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/Modules.cpp
@ONLY)

list(APPEND SOAPY_SDR_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/Version.cpp)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Version.in.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/Version.cpp
@ONLY)

#C API support sources
list(APPEND SOAPY_SDR_SOURCES
    TypesC.cpp
    ModulesC.cpp
    VersionC.cpp
    DeviceC.cpp
    FactoryC.cpp
    LoggerC.cpp
    TimeC.cpp
    ErrorsC.cpp
    FormatsC.cpp
)

#disable MSVC warnings
if (MSVC)
    add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
endif ()

########################################################################
# Extract SOVERSION
########################################################################
file(READ "${PROJECT_SOURCE_DIR}/include/SoapySDR/Version.h" version_h)
string(REGEX MATCH "\\#define SOAPY_SDR_ABI_VERSION \"([0-9]+\\.[0-9]+-[0-9]+)\"" SOAPY_SDR_ABI_VERSION_MATCHES "${version_h}")
if(NOT SOAPY_SDR_ABI_VERSION_MATCHES)
    message(FATAL_ERROR "Failed to extract version number from Version.h")
endif(NOT SOAPY_SDR_ABI_VERSION_MATCHES)
set(SOAPY_SDR_SOVER "${CMAKE_MATCH_1}" CACHE INTERNAL "")

########################################################################
# Build the library
########################################################################
add_library(SoapySDR SHARED ${SOAPY_SDR_SOURCES})
if (SOAPY_SDR_LIBRARIES)
    target_link_libraries(SoapySDR ${SOAPY_SDR_LIBRARIES})
endif()
set_target_properties(SoapySDR PROPERTIES SOVERSION ${SOAPY_SDR_SOVER})
set_target_properties(SoapySDR PROPERTIES VERSION ${SOAPY_SDR_LIBVER})
set_target_properties(SoapySDR PROPERTIES DEFINE_SYMBOL "SOAPY_SDR_DLL_EXPORTS")

########################################################################
# Install the library
########################################################################
install(TARGETS SoapySDR
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

########################################################################
# Build pkg config file
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/SoapySDR.in.pc
    ${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig
)

=== debian/changelog ===
soapysdr (0.4.3+git20160605-1) unstable; urgency=medium

  * Initial release. (Closes: #827709)

 -- Andreas Bombe <aeb@debian.org>  Fri, 08 Jul 2016 16:15:23 +0200

=== debian/control ===
Source: soapysdr
Section: hamradio
Priority: optional
Maintainer: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 9),
    cmake,
    swig,
    python-dev,
    python3-dev
Standards-Version: 3.9.8
Homepage: https://github.com/pothosware/SoapySDR/wiki

Package: libsoapysdr0.5-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software defined radio interface library
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.

Package: libsoapysdr-dev
Section: libdevel
Architecture: any
Depends:
    libsoapysdr0.5-2 (= ${binary:Version}),
    ${misc:Depends}
Description: SoapySDR library development files
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the development files for the library.

Package: soapysdr-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software defined radio interface library tools
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the SoapySDRUtil command line utility which can
 list available modules and hardware.

Package: python-soapysdr
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python-numpy
Description: SoapySDR Python 2 bindings
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the Python 2 bindings for the library.

Package: python3-soapysdr
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python-numpy
Description: SoapySDR Python 3 bindings
 SoapySDR is a library providing a common interface to SDR (software
 defined radio) hardware. Support for different hardware is added through
 external modules.
 .
 This package contains the Python 3 bindings for the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# extract the architecture for setting the library path suffix
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# extract the last section of the changelog version for extra info
DEB_VERSION ?= $(shell dpkg-parsechangelog -S Version)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_AUTOSET_INSTALL_RPATH=FALSE \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DOVERRIDE_SOAPY_SDR_VERSION="$(DEB_VERSION)"

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt

## soapysdr 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # gather version information
 # packagers may specify -DSOAPY_SDR_EXTVER="foo" to replace the git hash
 ########################################################################
-set(SOAPY_SDR_LIBVER "0.5.0")
+set(SOAPY_SDR_LIBVER "0.5.1")
 
 if (NOT SOAPY_SDR_EXTVER)
     include(${PROJECT_SOURCE_DIR}/cmake/GetGitRevisionDescription.cmake)
@@ -157,5 +157,5 @@
 message(STATUS "######################################################")
 feature_summary(WHAT DISABLED_FEATURES)
 message(STATUS "SoapySDR version: v${SOAPY_SDR_VERSION}")
-message(STATUS "ABI/so version: v${SOAPY_SDR_SOVER}")
+message(STATUS "ABI/so version: v${SOAPY_SDR_ABI_VERSION}")
 message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")

=== python/CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8)
project(SoapySDRPython CXX)
enable_testing()

find_package(SoapySDR NO_MODULE REQUIRED)

########################################################################
# Find SWIG
########################################################################
find_package(SWIG)
message(STATUS "SWIG_FOUND: ${SWIG_FOUND} - ${SWIG_VERSION}")

########################################################################
# Find python interp
########################################################################
find_package(PythonInterp)
message(STATUS "PYTHONINTERP_FOUND: ${PYTHONINTERP_FOUND} - ${PYTHON_VERSION_STRING}")
message(STATUS "PYTHON_EXECUTABLE: ${PYTHON_EXECUTABLE}")

#help find_package(PythonLibs) by setting Python_ADDITIONAL_VERSIONS from PYTHON_VERSION_STRING
if(PYTHONINTERP_FOUND AND DEFINED PYTHON_VERSION_STRING AND NOT DEFINED Python_ADDITIONAL_VERSIONS)
    string(SUBSTRING "${PYTHON_VERSION_STRING}" 0 3 Python_ADDITIONAL_VERSIONS)
endif()

########################################################################
# Determine install directory
########################################################################
execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c
    "from distutils.sysconfig import get_python_lib; print(get_python_lib(plat_specific=True, prefix=''))"
    OUTPUT_STRIP_TRAILING_WHITESPACE
    OUTPUT_VARIABLE PYTHON_INSTALL_DIR
)
set(PYTHON_INSTALL_DIR ${PYTHON_INSTALL_DIR} CACHE STRING "python install prefix")
message(STATUS "PYTHON_INSTALL_DIR: \${prefix}/${PYTHON_INSTALL_DIR}")

########################################################################
# Find Python libs
########################################################################
find_package(PythonLibs)
message(STATUS "PYTHONLIBS_FOUND: ${PYTHONLIBS_FOUND} - ${PYTHONLIBS_VERSION_STRING}")
message(STATUS "PYTHON_INCLUDE_DIRS: ${PYTHON_INCLUDE_DIRS}")
message(STATUS "PYTHON_LIBRARIES: ${PYTHON_LIBRARIES}")

#on windows, we require a pythonxx_d.lib in debug mode
#require that the PYTHON_DEBUG_LIBRARY flag is set
#or the build assumes that the debug library DNE
set(PYTHON_DEBUG_OK TRUE)
if(WIN32 AND NOT PYTHON_DEBUG_LIBRARY AND "${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    message(WARNING "WIN32 Debug mode requires PYTHON_DEBUG_LIBRARY")
    set(PYTHON_DEBUG_OK FALSE)
endif()

########################################################################
# Python version check
########################################################################
set(PYTHON_VERSION_MATCH TRUE)
if (PYTHON_VERSION_STRING AND PYTHONLIBS_VERSION_STRING)
    if(NOT "${PYTHON_VERSION_STRING}" VERSION_EQUAL "${PYTHONLIBS_VERSION_STRING}")
        message(WARNING "Python interp and library version mismatch")
        set(PYTHON_VERSION_MATCH FALSE)
    endif()
endif()

#set once we know that executable and libs are found and match
#this tells the parent scope to build python3 when this is python2
if(PYTHON_VERSION_STRING AND "${PYTHON_VERSION_STRING}" VERSION_LESS "3.0")
    set(BUILD_PYTHON3 TRUE PARENT_SCOPE)
endif()

########################################################################
## Feature registration
########################################################################
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_PYTHON "Enable python bindings" ON "ENABLE_LIBRARY;SWIG_FOUND;PYTHONINTERP_FOUND;PYTHONLIBS_FOUND;PYTHON_DEBUG_OK;PYTHON_VERSION_MATCH" OFF)
add_feature_info(Python ENABLE_PYTHON "python bindings v${PYTHON_VERSION_STRING}")
if (NOT ENABLE_PYTHON)
    return()
endif()

########################################################################
# Build Module
########################################################################
include(UseSWIG)
include_directories(${SoapySDR_INCLUDE_DIRS})
include_directories(${PYTHON_INCLUDE_DIRS})

set(CMAKE_SWIG_FLAGS -c++ -threads)
set_source_files_properties(SoapySDR.i PROPERTIES CPLUSPLUS ON)

SWIG_ADD_MODULE(SoapySDR python SoapySDR.i)
SWIG_LINK_LIBRARIES(SoapySDR ${SoapySDR_LIBRARIES} ${PYTHON_LIBRARIES})

########################################################################
# Install Module
########################################################################
install(
    TARGETS ${SWIG_MODULE_SoapySDR_REAL_NAME}
    DESTINATION ${PYTHON_INSTALL_DIR}
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.py
    DESTINATION ${PYTHON_INSTALL_DIR}
)

=== python3/CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8)
project(SoapySDRPython3 CXX)
enable_testing()

find_package(SoapySDR NO_MODULE REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})

########################################################################
# Find SWIG
########################################################################
find_package(SWIG)
message(STATUS "SWIG_FOUND: ${SWIG_FOUND} - ${SWIG_VERSION}")

########################################################################
# Find python interp
########################################################################
find_package(Python3Interp)
message(STATUS "PYTHON3INTERP_FOUND: ${PYTHON3INTERP_FOUND}")
message(STATUS "PYTHON3_EXECUTABLE: ${PYTHON3_EXECUTABLE}")

########################################################################
# Determine install directory
########################################################################
execute_process(
    COMMAND ${PYTHON3_EXECUTABLE} -c
    "from distutils.sysconfig import get_python_lib; print(get_python_lib(plat_specific=True, prefix=''))"
    OUTPUT_STRIP_TRAILING_WHITESPACE
    OUTPUT_VARIABLE PYTHON3_INSTALL_DIR
)
set(PYTHON3_INSTALL_DIR ${PYTHON3_INSTALL_DIR} CACHE STRING "python3 install prefix")
message(STATUS "PYTHON3_INSTALL_DIR: \${prefix}/${PYTHON3_INSTALL_DIR}")

########################################################################
# Find Python libs
########################################################################
find_package(Python3Libs)
message(STATUS "PYTHON3LIBS_FOUND: ${PYTHON3LIBS_FOUND}")
message(STATUS "PYTHON3_INCLUDE_DIRS: ${PYTHON3_INCLUDE_DIRS}")
message(STATUS "PYTHON3_LIBRARIES: ${PYTHON3_LIBRARIES}")

#on windows, we require a pythonxx_d.lib in debug mode
#require that the PYTHON_DEBUG_LIBRARY flag is set
#or the build assumes that the debug library DNE
set(PYTHON3_DEBUG_OK TRUE)
if(WIN32 AND NOT PYTHON3_DEBUG_LIBRARY AND "${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    message(WARNING "WIN32 Debug mode requires PYTHON3_DEBUG_LIBRARY")
    set(PYTHON3_DEBUG_OK FALSE)
endif()

########################################################################
## Feature registration
########################################################################
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_PYTHON3 "Enable python bindings" ON "ENABLE_LIBRARY;SWIG_FOUND;PYTHON3INTERP_FOUND;PYTHON3LIBS_FOUND;PYTHON3_DEBUG_OK" OFF)
add_feature_info(Python3 ENABLE_PYTHON3 "python3 bindings")
if (NOT ENABLE_PYTHON3)
    return()
endif()

########################################################################
# Build Module
########################################################################
include(UseSWIG)
include_directories(${SoapySDR_INCLUDE_DIRS})
include_directories(${PYTHON3_INCLUDE_DIRS})

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/../python/SoapySDR.i
    ${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.i
@ONLY)

set(CMAKE_SWIG_FLAGS -c++ -threads)
set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.i PROPERTIES CPLUSPLUS ON)

SWIG_ADD_MODULE(SoapySDR3 python ${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.i)
SWIG_LINK_LIBRARIES(SoapySDR3 ${SoapySDR_LIBRARIES} ${PYTHON3_LIBRARIES})

set_target_properties(${SWIG_MODULE_SoapySDR3_REAL_NAME} PROPERTIES OUTPUT_NAME _SoapySDR)

########################################################################
# Install Module
########################################################################
install(
    TARGETS ${SWIG_MODULE_SoapySDR3_REAL_NAME}
    DESTINATION ${PYTHON3_INSTALL_DIR}
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.py
    DESTINATION ${PYTHON3_INSTALL_DIR}
)

=== debian/changelog ===
soapysdr (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
    - Modules are now searched in ABI versioned path to facilitate
      parallel installation of multiple libsoapysdr ABI versions
  * Recommend module virtual package in shared library package which is
    provided by hardware support module packages
  * Add DEP3 header to version-string patch

 -- Andreas Bombe <aeb@debian.org>  Mon, 15 Aug 2016 20:45:32 +0200

soapysdr (0.4.3+git20160605-2) unstable; urgency=medium

  * Remove symbols file again, too much work for a C++ library for now
  * Move to team maintenance by the hamradio team

 -- Andreas Bombe <aeb@debian.org>  Sun, 10 Jul 2016 13:45:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: soapysdr
 Section: hamradio
 Priority: optional
-Maintainer: Andreas Bombe <aeb@debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
     debhelper (>= 9),
     cmake,
@@ -10,16 +11,21 @@
     python3-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/pothosware/SoapySDR/wiki
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapysdr.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapysdr.git
 
 Package: libsoapysdr0.5-2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: soapysdr0.5-2-module
 Description: software defined radio interface library
  SoapySDR is a library providing a common interface to SDR (software
  defined radio) hardware. Support for different hardware is added through
  external modules.
+ .
+ This package contains the shared library.
 
 Package: libsoapysdr-dev
 Section: libdevel

## soapysdr 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # gather version information
 # packagers may specify -DSOAPY_SDR_EXTVER="foo" to replace the git hash
 ########################################################################
-set(SOAPY_SDR_LIBVER "0.5.1")
+set(SOAPY_SDR_LIBVER "0.5.3")
 
 if (NOT SOAPY_SDR_EXTVER)
     include(${PROJECT_SOURCE_DIR}/cmake/GetGitRevisionDescription.cmake)

=== apps/CMakeLists.txt ===
########################################################################
# Build utility executable
########################################################################
set(SOAPY_SDR_UTIL_SOURCES
    SoapySDRUtil.cpp
    SoapySDRProbe.cpp
)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../include)
if (MSVC)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/msvc)
endif ()
add_executable(SoapySDRUtil ${SOAPY_SDR_UTIL_SOURCES})
target_link_libraries(SoapySDRUtil SoapySDR)
install(TARGETS SoapySDRUtil DESTINATION bin)

## soapysdr 0.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # gather version information
 # packagers may specify -DSOAPY_SDR_EXTVER="foo" to replace the git hash
 ########################################################################
-set(SOAPY_SDR_LIBVER "0.5.3")
+set(SOAPY_SDR_LIBVER "0.5.4")
 
 if (NOT SOAPY_SDR_EXTVER)
     include(${PROJECT_SOURCE_DIR}/cmake/GetGitRevisionDescription.cmake)
@@ -28,9 +28,16 @@
 #SOAPY_SDR_ROOT is compiled into the library to locate the install base.
 #By default, the SOAPY_SDR_ROOT is set to the CMAKE_INSTALL_PREFIX.
 #However users may overload this by specifying -DSOAPY_SDR_ROOT=<path>.
-if(NOT SOAPY_SDR_ROOT)
-    file(TO_CMAKE_PATH ${CMAKE_INSTALL_PREFIX} SOAPY_SDR_ROOT)
-endif(NOT SOAPY_SDR_ROOT)
+set(SOAPY_SDR_ROOT "${CMAKE_INSTALL_PREFIX}" CACHE PATH
+    "Installation root for SoapySDR::getRootPath()")
+file(TO_CMAKE_PATH "${SOAPY_SDR_ROOT}" SOAPY_SDR_ROOT)
+
+#SOAPY_SDR_ROOT_ENV is the name of the environment variable
+#which tells SoapySDR where to find the root installation.
+#By default, the environment variable SOAPY_SDR_ROOT is used.
+#Example: set -DSOAPY_SDR_ROOT_ENV=SNAP for snappy packages.
+set(SOAPY_SDR_ROOT_ENV "SOAPY_SDR_ROOT" CACHE STRING
+    "Environment variable for SoapySDR::getRootPath()")
 
 ########################################################################
 # select the release build type by default to get optimization flags

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -12,3 +12,6 @@
 add_executable(SoapySDRUtil ${SOAPY_SDR_UTIL_SOURCES})
 target_link_libraries(SoapySDRUtil SoapySDR)
 install(TARGETS SoapySDRUtil DESTINATION bin)
+
+#install man pages for the application executable
+install(FILES SoapySDRUtil.1 DESTINATION share/man/man1)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -67,23 +67,13 @@
 endif ()
 
 ########################################################################
-# Extract SOVERSION
-########################################################################
-file(READ "${PROJECT_SOURCE_DIR}/include/SoapySDR/Version.h" version_h)
-string(REGEX MATCH "\\#define SOAPY_SDR_ABI_VERSION \"([0-9]+\\.[0-9]+-[0-9]+)\"" SOAPY_SDR_ABI_VERSION_MATCHES "${version_h}")
-if(NOT SOAPY_SDR_ABI_VERSION_MATCHES)
-    message(FATAL_ERROR "Failed to extract version number from Version.h")
-endif(NOT SOAPY_SDR_ABI_VERSION_MATCHES)
-set(SOAPY_SDR_SOVER "${CMAKE_MATCH_1}" CACHE INTERNAL "")
-
-########################################################################
 # Build the library
 ########################################################################
 add_library(SoapySDR SHARED ${SOAPY_SDR_SOURCES})
 if (SOAPY_SDR_LIBRARIES)
     target_link_libraries(SoapySDR ${SOAPY_SDR_LIBRARIES})
 endif()
-set_target_properties(SoapySDR PROPERTIES SOVERSION ${SOAPY_SDR_SOVER})
+set_target_properties(SoapySDR PROPERTIES SOVERSION ${SOAPY_SDR_ABI_VERSION})
 set_target_properties(SoapySDR PROPERTIES VERSION ${SOAPY_SDR_LIBVER})
 set_target_properties(SoapySDR PROPERTIES DEFINE_SYMBOL "SOAPY_SDR_DLL_EXPORTS")

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,26 @@
 ########################################################################
 # Find Python libs
 ########################################################################
-find_package(PythonLibs)
+set(PYTHON_CONFIG_EXECUTABLE ${PYTHON_EXECUTABLE}-config
+    CACHE FILEPATH "Path to python-config executable")
+if (USE_PYTHON_CONFIG AND EXISTS ${PYTHON_CONFIG_EXECUTABLE})
+    execute_process(
+        COMMAND ${PYTHON_CONFIG_EXECUTABLE}  --includes
+        OUTPUT_STRIP_TRAILING_WHITESPACE
+        OUTPUT_VARIABLE PYTHON_INCLUDE_DIRS)
+    string(REGEX REPLACE "^[-I]" "" PYTHON_INCLUDE_DIRS "${PYTHON_INCLUDE_DIRS}")
+    string(REGEX REPLACE "[ ]-I" " " PYTHON_INCLUDE_DIRS "${PYTHON_INCLUDE_DIRS}")
+    separate_arguments(PYTHON_INCLUDE_DIRS)
+    execute_process(
+        COMMAND ${PYTHON_CONFIG_EXECUTABLE}  --ldflags
+        OUTPUT_STRIP_TRAILING_WHITESPACE
+        OUTPUT_VARIABLE PYTHON_LIBRARIES)
+    set(PYTHONLIBS_VERSION_STRING ${PYTHON_VERSION_STRING})
+    set(PYTHONLIBS_FOUND TRUE)
+else()
+    find_package(PythonLibs)
+endif()
+
 message(STATUS "PYTHONLIBS_FOUND: ${PYTHONLIBS_FOUND} - ${PYTHONLIBS_VERSION_STRING}")
 message(STATUS "PYTHON_INCLUDE_DIRS: ${PYTHON_INCLUDE_DIRS}")
 message(STATUS "PYTHON_LIBRARIES: ${PYTHON_LIBRARIES}")

=== tests/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_TESTS "Enable library unit tests" ON "ENABLE_LIBRARY" OFF)
add_feature_info(Tests ENABLE_TESTS "library unit tests")
if (NOT ENABLE_TESTS)
    return()
endif()

########################################################################
# Unit tests
########################################################################
add_executable(TestTimeConversion TestTimeConversion.cpp)
target_link_libraries(TestTimeConversion SoapySDR)
add_test(TestTimeConversion TestTimeConversion)

add_executable(TestFormatParser TestFormatParser.cpp)
target_link_libraries(TestFormatParser SoapySDR)
add_test(TestFormatParser TestFormatParser)

=== debian/changelog ===
soapysdr (0.5.4-1build1) artful; urgency=medium

  * No-change rebuild to build with python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 13:53:49 +0000

soapysdr (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4
  * Refresh version-string patch
  * Add airspy, lms7 and redpitaya dependencies to soapysdr0.5-2-module-all
  * Mask dependencies of soapysdr0.5-2-module-all for architectures where
    the modules can't be built
  * Remove man page for SoapySDRUtil, merged upstream
  * Remove unnecessary dh_installchangelogs override from debian/rules
  * Link with --as-needed

 -- Andreas Bombe <aeb@debian.org>  Fri, 06 Jan 2017 19:24:08 +0100

soapysdr (0.5.3-2) unstable; urgency=medium

  * Add man page for SoapySDRUtil
  * Add hackrf, remote and uhd dependencies to soapysdr0.5-2-module-all
  * Add appropriate Multi-Arch headers to libsoapysdr-dev, libsoapysdr-doc,
    soapysdr0.5-2-module-all, soapysdr-module-all
  * Move debhelper compat level from 9 to 10
  * Call dh_doxygen after dh_installdocs

 -- Andreas Bombe <aeb@debian.org>  Sat, 19 Nov 2016 23:09:15 +0100

soapysdr (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3
  * Add soapysdr-module-all metapackages that depend on all available
    module packages and let libsoapysdr recommend it as the first
    alternative to the virtual soapysdr-module package

 -- Andreas Bombe <aeb@debian.org>  Mon, 19 Sep 2016 20:00:52 +0200

soapysdr (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Add patch install-dev-docs to make the build install the HTML
    documentation files
  * Add Build-Depends-Indep on doxygen and create new architecture all
    package libsoapysdr-doc

 -- Andreas Bombe <aeb@debian.org>  Wed, 24 Aug 2016 04:06:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # extract the architecture for setting the library path suffix
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -21,5 +22,11 @@
 		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
 		-DOVERRIDE_SOAPY_SDR_VERSION="$(DEB_VERSION)"
 
-override_dh_installchangelogs:
-	dh_installchangelogs Changelog.txt
+override_dh_installdocs-arch:
+	dh_installdocs -p soapysdr-module-all \
+		--link-doc=soapysdr0.5-2-module-all
+	dh_installdocs --arch --remaining-packages
+
+override_dh_installdocs-indep:
+	dh_installdocs --indep
+	dh_doxygen --indep

## soapysdr 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # gather version information
 # packagers may specify -DSOAPY_SDR_EXTVER="foo" to replace the git hash
 ########################################################################
-set(SOAPY_SDR_LIBVER "0.5.4")
+set(SOAPY_SDR_LIBVER "0.6.0")
 
 if (NOT SOAPY_SDR_EXTVER)
     include(${PROJECT_SOURCE_DIR}/cmake/GetGitRevisionDescription.cmake)

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -32,9 +32,9 @@
     COMMAND ${PYTHON_EXECUTABLE} -c
     "from distutils.sysconfig import get_python_lib; print(get_python_lib(plat_specific=True, prefix=''))"
     OUTPUT_STRIP_TRAILING_WHITESPACE
-    OUTPUT_VARIABLE PYTHON_INSTALL_DIR
+    OUTPUT_VARIABLE PYTHON_INSTALL_DIR_SYSCONF
 )
-set(PYTHON_INSTALL_DIR ${PYTHON_INSTALL_DIR} CACHE STRING "python install prefix")
+set(PYTHON_INSTALL_DIR "${PYTHON_INSTALL_DIR_SYSCONF}" CACHE STRING "python install prefix")
 message(STATUS "PYTHON_INSTALL_DIR: \${prefix}/${PYTHON_INSTALL_DIR}")
 
 ########################################################################
@@ -91,6 +91,25 @@
 endif()
 
 ########################################################################
+## set the swig flags - shared with python3 build
+########################################################################
+set(CMAKE_SWIG_FLAGS -c++ -threads)
+
+#check for size_t issue on arm 32-bit platforms
+include(CheckCXXSourceCompiles)
+CHECK_CXX_SOURCE_COMPILES("
+    #include <cstddef>
+    int main() {
+    size_t *x = (unsigned int *)(NULL);
+    return 0; }" SIZE_T_IS_UNSIGNED_INT)
+
+if (SIZE_T_IS_UNSIGNED_INT)
+    list(APPEND CMAKE_SWIG_FLAGS -DSIZE_T_IS_UNSIGNED_INT)
+endif (SIZE_T_IS_UNSIGNED_INT)
+
+set(CMAKE_SWIG_FLAGS ${CMAKE_SWIG_FLAGS} PARENT_SCOPE)
+
+########################################################################
 ## Feature registration
 ########################################################################
 include(FeatureSummary)
@@ -108,7 +127,7 @@
 include_directories(${SoapySDR_INCLUDE_DIRS})
 include_directories(${PYTHON_INCLUDE_DIRS})
 
-set(CMAKE_SWIG_FLAGS -c++ -threads)
+message(STATUS "CMAKE_SWIG_FLAGS=${CMAKE_SWIG_FLAGS}")
 set_source_files_properties(SoapySDR.i PROPERTIES CPLUSPLUS ON)
 
 SWIG_ADD_MODULE(SoapySDR python SoapySDR.i)

=== python3/CMakeLists.txt ===
--- 
+++ 
@@ -28,9 +28,9 @@
     COMMAND ${PYTHON3_EXECUTABLE} -c
     "from distutils.sysconfig import get_python_lib; print(get_python_lib(plat_specific=True, prefix=''))"
     OUTPUT_STRIP_TRAILING_WHITESPACE
-    OUTPUT_VARIABLE PYTHON3_INSTALL_DIR
+    OUTPUT_VARIABLE PYTHON3_INSTALL_DIR_SYSCONF
 )
-set(PYTHON3_INSTALL_DIR ${PYTHON3_INSTALL_DIR} CACHE STRING "python3 install prefix")
+set(PYTHON3_INSTALL_DIR "${PYTHON3_INSTALL_DIR_SYSCONF}" CACHE STRING "python3 install prefix")
 message(STATUS "PYTHON3_INSTALL_DIR: \${prefix}/${PYTHON3_INSTALL_DIR}")
 
 ########################################################################
@@ -73,7 +73,7 @@
     ${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.i
 @ONLY)
 
-set(CMAKE_SWIG_FLAGS -c++ -threads)
+message(STATUS "CMAKE_SWIG_FLAGS=${CMAKE_SWIG_FLAGS}")
 set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.i PROPERTIES CPLUSPLUS ON)
 
 SWIG_ADD_MODULE(SoapySDR3 python ${CMAKE_CURRENT_BINARY_DIR}/SoapySDR.i)

=== debian/changelog ===
soapysdr (0.6.0-2) unstable; urgency=medium

  * Let libsoapysdr-dev provide libsoapysdr0.6-dev so that module packages
    can Build-Depend on a version matching their binary package names
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 06 Aug 2017 12:12:35 -0400

soapysdr (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Change library ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Update copyright years in debian/copyright
  * Add soapysdr0.6-module-osmosdr dependency to the soapysdr0.6-module-all
    metapackage
  * Bump Standards-Version to 4.0.0, no changes required
  * Fix CMake warning for mismatched logical block arguments in version-string
    patch
  * Include pkg-info.mk in debian/rules instead of setting DEB_VERSION
    manually with dpkg-parsechangelog

 -- Andreas Bombe <aeb@debian.org>  Tue, 27 Jun 2017 02:57:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,24 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 9),
+    debhelper (>= 10),
     cmake,
     swig,
     python-dev,
     python3-dev
-Standards-Version: 3.9.8
+Build-Depends-Indep:
+    doxygen
+Standards-Version: 4.0.1
 Homepage: https://github.com/pothosware/SoapySDR/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapysdr.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapysdr.git
 
-Package: libsoapysdr0.5-2
+Package: libsoapysdr0.6
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: soapysdr0.5-2-module
+Recommends: soapysdr0.6-module-all | soapysdr0.6-module
 Description: software defined radio interface library
  SoapySDR is a library providing a common interface to SDR (software
  defined radio) hardware. Support for different hardware is added through
@@ -30,15 +32,30 @@
 Package: libsoapysdr-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
-    libsoapysdr0.5-2 (= ${binary:Version}),
+    libsoapysdr0.6 (= ${binary:Version}),
     ${misc:Depends}
+Provides: libsoapysdr0.6-dev
+Suggests: libsoapysdr-doc
 Description: SoapySDR library development files
  SoapySDR is a library providing a common interface to SDR (software
  defined radio) hardware. Support for different hardware is added through
  external modules.
  .
  This package contains the development files for the library.
+
+Package: libsoapysdr-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: SoapySDR library development documentation
+ SoapySDR is a library providing a common interface to SDR (software
+ defined radio) hardware. Support for different hardware is added through
+ external modules.
+ .
+ This package contains the development documentation for the library.
 
 Package: soapysdr-tools
 Architecture: any
@@ -74,3 +91,39 @@
  external modules.
  .
  This package contains the Python 3 bindings for the library.
+
+Package: soapysdr0.6-module-all
+Architecture: any
+Multi-Arch: same
+Depends:
+    soapysdr0.6-module-airspy [!hurd-i386],
+    soapysdr0.6-module-audio [linux-any],
+    soapysdr0.6-module-bladerf [!hurd-i386 !m68k !powerpcspe !sh4],
+    soapysdr0.6-module-hackrf [!hurd-i386],
+    soapysdr0.6-module-lms7 [!powerpcspe],
+    soapysdr0.6-module-osmosdr [!hurd-i386],
+    soapysdr0.6-module-redpitaya,
+    soapysdr0.6-module-remote,
+    soapysdr0.6-module-rtlsdr [!hurd-i386],
+    soapysdr0.6-module-uhd,
+    ${misc:Depends}
+Description: All device support for SoapySDR (metapackage)
+ SoapySDR is a library providing a common interface to SDR (software
+ defined radio) hardware. Support for different hardware is added through
+ external modules.
+ .
+ This dependency package pulls in all available device support module packages.
+ You can remove this package if you prefer to pick and choose modules to
+ install.
+
+Package: soapysdr-module-all
+Architecture: any
+Multi-Arch: same
+Depends: soapysdr0.6-module-all, ${misc:Depends}
+Description: All device support for default version of SoapySDR (metapackage)
+ SoapySDR is a library providing a common interface to SDR (software
+ defined radio) hardware. Support for different hardware is added through
+ external modules.
+ .
+ This package depends on the metapackage which in turn depends on all available
+ device support packages for the default version of libsoapysdr.

## soapysdr 0.6.1

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 set(SOAPY_SDR_UTIL_SOURCES
     SoapySDRUtil.cpp
     SoapySDRProbe.cpp
+    SoapyRateTest.cpp
 )
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../include)
 if (MSVC)

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,7 @@
         COMMAND ${PYTHON_CONFIG_EXECUTABLE}  --ldflags
         OUTPUT_STRIP_TRAILING_WHITESPACE
         OUTPUT_VARIABLE PYTHON_LIBRARIES)
+    string(STRIP "${PYTHON_LIBRARIES}" PYTHON_LIBRARIES)
     set(PYTHONLIBS_VERSION_STRING ${PYTHON_VERSION_STRING})
     set(PYTHONLIBS_FOUND TRUE)
 else()
@@ -87,6 +88,12 @@
 #set once we know that executable and libs are found and match
 #this tells the parent scope to build python3 when this is python2
 if(PYTHON_VERSION_STRING AND "${PYTHON_VERSION_STRING}" VERSION_LESS "3.0")
+    set(BUILD_PYTHON3 TRUE PARENT_SCOPE)
+endif()
+
+#or enable search for python3 when this directory failed to find
+#a full set of python interpreter and devel files of any version
+if(NOT PYTHONINTERP_FOUND OR NOT PYTHONLIBS_FOUND)
     set(BUILD_PYTHON3 TRUE PARENT_SCOPE)
 endif()

=== python3/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 ########################################################################
 include(FeatureSummary)
 include(CMakeDependentOption)
-cmake_dependent_option(ENABLE_PYTHON3 "Enable python bindings" ON "ENABLE_LIBRARY;SWIG_FOUND;PYTHON3INTERP_FOUND;PYTHON3LIBS_FOUND;PYTHON3_DEBUG_OK" OFF)
+cmake_dependent_option(ENABLE_PYTHON3 "Enable python bindings" ON "ENABLE_LIBRARY;SWIG_FOUND;PYTHON3INTERP_FOUND;PYTHON3LIBS_FOUND;PYTHON3_DEBUG_OK;BUILD_PYTHON3" OFF)
 add_feature_info(Python3 ENABLE_PYTHON3 "python3 bindings")
 if (NOT ENABLE_PYTHON3)
     return()

=== debian/changelog ===
soapysdr (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * Bump Standards-Version to 4.1.2, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 17 Dec 2017 22:12:11 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     python3-dev
 Build-Depends-Indep:
     doxygen
-Standards-Version: 4.0.1
+Standards-Version: 4.1.2
 Homepage: https://github.com/pothosware/SoapySDR/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapysdr.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapysdr.git

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+# for definition of DEB_VERSION
+include /usr/share/dpkg/pkg-info.mk
+
 # extract the architecture for setting the library path suffix
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-# extract the last section of the changelog version for extra info
-DEB_VERSION ?= $(shell dpkg-parsechangelog -S Version)
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -24,7 +24,7 @@
 
 override_dh_installdocs-arch:
 	dh_installdocs -p soapysdr-module-all \
-		--link-doc=soapysdr0.5-2-module-all
+		--link-doc=soapysdr0.6-module-all
 	dh_installdocs --arch --remaining-packages
 
 override_dh_installdocs-indep:
